version: 1.0
provider:
  name: openfaas
functions:
  client-board-updater:
    lang: python3
    handler: client_board_updater
    image: registry.gitlab.com/opencraft/dev/client-board-updater/client-board-updater:latest
    limits:
      cpu: 100m
      memory: 200Mi
    requests:
      cpu: 50m
      memory: 50Mi
    environment:
      read_timeout: "3m"
      write_timeout: "3m"
      exec_timeout: "3m"
      MONDAY_BOARD_ID: <MONDAY BOARD ID>
    secrets:
      - monday-api-token
